﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Shared.Styles;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Core.Layers;
using Infragistics.UltraChart.Core.Primitives;
using System.Diagnostics;

namespace UltraChartHideWeekend
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("Date", typeof(DateTime));
            dt.Columns.Add("Value", typeof(double));

            Random rnd = new Random();
            for (int i = 0; i < 20; i++)
            {
                if (DateTime.Today.AddDays(i).DayOfWeek == DayOfWeek.Saturday || DateTime.Today.AddDays(i).DayOfWeek == DayOfWeek.Sunday)
                {
                    dt.Rows.Add(DateTime.Today.AddDays(i), null);
                }
                else
                {
                    dt.Rows.Add(DateTime.Today.AddDays(i), rnd.Next(100));
                }
            }

            
            // Option 1
            ultraChart1.ChartType = ChartType.LineChart;
            ultraChart1.LineChart.NullHandling = NullHandling.InterpolateSimple;
            ultraChart1.Data.SwapRowsAndColumns = true;
            ultraChart1.Data.EmptyStyle.EnableLineStyle = true;
            ultraChart1.Axis.X.Extent = 120;
            ultraChart1.DataSource = dt;


            // Option 2
            ultraChart1.ChartType = ChartType.LineChart;
            ultraChart1.Data.SwapRowsAndColumns = true;
            ultraChart1.Axis.X.Extent = 120;
            var a = from q in dt.AsEnumerable()
                    where q.IsNull(1) != true
                    select q;
            ultraChart1.DataSource = a.AsDataView();
        }

    }
}
